Subject: [weirds] Comments on draft-ietf-weirds-object-inventory

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sun, 14 Sep 2014 00:29:37 -0700

Hi,

I've reviewed this draft and I think the substance of it is in pretty good
shape but it requires quite a bit of editorial work before we can send it
to the IESG.  I hope you can get to it all before WGLC ends!

1) In Section 1, I suggest expanding RPSL on first use, even though there's
a defining document referenced there.

2) Still in Section 1, the second reference to RFC3912 (in the second
paragraph) isn't needed; just saying WHOIS is fine here since it's defined
earlier in the document.

3) ccTLD and gTLD need to be defined when first used.

4) Delete the paragraph referencing RFC2119.

5) Still in Section 1, the following editorial changes:

- s/shortcomings that limits/shortcomings that limit/
- s/Internationalized/internationalized/ (2x)
- s/Domain Name/Domain Names/
- the "For example, ..." sentence might better be expressed as a bullet
list or enumerated list; at a minimum, it toggles between being
comma-separated and semicolon-separated, and that should be fixed up
- s/This document is aimed to build an object inventory.../This document
records an inventory of registry data objects./
- s/Based on this statistics result.../The Registration Data Access
Protocol (RDAP) was developed using this inventory as input./
- s/5/five/
- s/All RIRs .../Although all RIRs .../
- s/we are intended/there is no intent/
- s/will be discussed, other objects such as RPSL data structure/are
discussed, but other objects such as RPSL data structures/
- s/will be added later/can be documented later/

6) In Section 2, the definition of "Label" needs to be reworked.  I believe
you simply mean "The name given to a particular data element, which may
vary between registries."

7) In Section 3, I'm completely confused by bullet (4).  Specifically:

a) "Specification 4 of the New gTLD Applicant Guidebook" should get a
proper reference if at all possible.  I would expect it to be an ICANN URL
or some such.

b) The four documents referenced are EPP definition documents, so we should
be saying so before referring to them and probably explaining why there's a
reference to them.  At a minimum, why are we talking about the New gTLD
Applicant Guidebook but actually referring to EPP RFCs?

c) "above two documents" doesn't make sense when there are four RFC
references and a reference to an external document in the paragraph.

8) Still in Section 3, the following editorial changes:

- s/is collected/was collected/ (2x)
- s/is relatively easy/was relatively easy/
- s/Find ... firstly./First, find .../
- s/5/five/ (3x)
- s/is applied/was applied/
- s/query string which/query string, which/
- s/So the sample/Thus, the sample/
- s/are collected/were collected/ (2x)
- s/may not seem to be correct.  So/did not seem to be correct, so/
- s/are grouped together/were grouped together/ (2x)
- s/is calculated/are shown/

9) In Section 4.1, the wrapping of names makes this hard to read.  In some
cases, there are words broken across multiple lines, even without hyphens.
The rows also run together as a result of this.  This needs to be fixed.

10) In Section 4.2, change "5" to "five", and then the wrapping problem
appears again.

11) Section 4.3, same thing.

12) Also in Section 4.3, I don't understand the title "WHOIS Data of IP".
Does this mean a lookup of an IP address in a WHOIS server?  If so, then
perhaps "Replies to WHOIS Queries about IP Addresses"?

13) Section 4.4, same formatting problem.

14) Section 4.4 also has an awkward title.

15) In Section 4.5, the following editorial changes:

- s/referred different/labeled differently/
- s/each object a selection/each object, a selection/
- s/starting point of the previous document of/starting point for/

16) Section 5.1, the following editorial changes:

- s/is collected/was collected/
- s/support domain query/support domain queries/
- s/support contact query/support queries for specific contact persons or
roles/
- s/support name server query/support queries by nameserver/
- s/support registrar query/support registrar queries/
- s/data contains/data contain/
- s/there are total 392/there is a total of 392/
- s/Domain/domain/
- s/accessed with the following link: .../accessed at .../

17) Section 5.2 has the same issue I mentioned in (7) above.

18) Section 5.2.1, the following editorial changes:

- s/WHOIS data of domain includes/WHOIS replies about domains include/
- s/registries support XXX data element/registries support a XXX data
element/

19) Also in Section 5.2.1, the "Analyzing ..." paragraph might better be
expressed as a bullet list.

20) The title of Section 5.2.2 should be more like "WHOIS Data for
Contacts".

21) In each of Sections 5.2.2.1 through 5.2.2.4, the following editorial
changes:

- s/information of registrant/information for a registrant/
- s/3/three/

22) The title of Section 5.2.3 should be more like "WHOIS Data for
Nameservers".

23) In Section 5.2.3, the following editorial changes:

- s/WHOIS response/WHOIS responses/
- s/But/However,/
- s/Top 3/The top three/
- s/So there/Thus, there/

24) Also in Section 5.2.3, in the paragraph at the top, the labels should
be quoted as you have done in previous sections.

25) The title of Section 5.2.4 should be more like "WHOIS Data for
Registrars".

26) Also in 5.2.4, s/sponsoring registrar/"Sponsoring Registrar"/ for
consistency.

27) In Section 5.3, the following editorial changes:

- s/So called other objects/So-called "other objects"/

28) Also in Section 5.3, I think the prose after the table is a bit
confusing.  I think what you mean to say is:

Some registries returned things that looked like labels, but were not.  For
example, in this reply:

Registrant:
  Name:
  Email:

"Name" and "Email" appeared to be data elements, but "Registrant" was not.
The inventory work proceeded on that assumption, i.e., there were two data
elements to be recorded in this example.

29) In Section 5.4.1, the following editorial changes:

- s/statistics conclusion/conclusions/
- s/that is/which is/
- s/And only 7/Only seven/
- s/in remarks part/in a "remarks" section/

30) In Section 5.4.2, the following editorial changes:

- s/Top 10/The top 10/
- s/We did a cumulative distribution analysis .../A cumulative distribution
analysis ... was done./
- s/of data elements/of the data elements discovered by the inventory work/
- s/we can conclude/it is clear/

31) In section 5.4.3, the following editorial changes:

- s/name server label/the "Name Server" label/
- s/So label numbers of name server are much more/Thus, the count of labels
for name servers is much higher/
- s/Other elements .../Data elements representing dates and street
addresses were also common./
- s/2 Labels/two labels/
- s/So it is very/It is therefore/
- s/of WHOIS response/in a WHOIS response/

32) In section 5.4.4, the following editorial changes:

- s/According to statistics result,/The results indicate that/
- s/or privately owned/or are privately defined/
- s/Top 50 other/The top 50 other/
- s/You can find that/It is clear that/
- s/So in order/In order/
- s/Restful Whois/RDAP/
- s/establishing/establishment of/
- s/a necessary requirement/advised/

33) Section 5.5's title needs to be more clear about what it's presenting.
I see it as enumerating assumptions or possible flaws in the survey work.
Maybe call it "Limitations", and then start with a sentence or two about
what you're listing, such as:

This section enumerates limitations of the survey and some assumptions that
were made in the execution of this work.

34) Also in Section 5.5: Does "local script" refer to the written form in
the region where the registry is based?  Since we're talking about
web-based replies, "script" might be interpreted differently by some people.

35) Also in Section 5.5:

OLD:

We only use "Whois contactID/nameserver/registrar" as the query commands to
check."

NEW:

Only WHOIS queries for contact ID, nameserver, and registrar were used.

36) Section 6, editorial changes:

- s/existed/existing/
- delete "the document of"
- s/ogjects/objects/

37) Section 6.2, editorial changes:

- s/Top 50/top 50/
- s/over 5/more than five/
- s/it is usually/typically/
- s/whethe/whether/
- s/domain is hold/domain is "on hold"/

38) In Section 7, add:

[RFC Editor: Please delete this section prior to publication.]

39) Section 9, change "Weirds" to "WEIRDS".

-MSK

---

From: Ning Kong <[email-masked]>
Date: Mon, 15 Sep 2014 10:25:00 +0800

Hi Murray,

Thanks for your detailed suggestions. We’ll update the draft based on your comments before WGLC ends.

Cheers,
Ning

在 2014年9月14日，下午3:29，Murray S. Kucherawy <[email-masked]> 写道：

> Hi,
> 
> I've reviewed this draft and I think the substance of it is in pretty good shape but it requires quite a bit of editorial work before we can send it to the IESG.  I hope you can get to it all before WGLC ends!
> 
> 1) In Section 1, I suggest expanding RPSL on first use, even though there's a defining document referenced there.
> 
> 2) Still in Section 1, the second reference to RFC3912 (in the second paragraph) isn't needed; just saying WHOIS is fine here since it's defined earlier in the document.
> 
> - the "For example, ..." sentence might better be expressed as a bullet list or enumerated list; at a minimum, it toggles between being comma-separated and semicolon-separated, and that should be fixed up
> - s/This document is aimed to build an object inventory.../This document records an inventory of registry data objects./
> - s/Based on this statistics result.../The Registration Data Access Protocol (RDAP) was developed using this inventory as input./
> - s/5/five/
> - s/will be discussed, other objects such as RPSL data structure/are discussed, but other objects such as RPSL data structures/
> 6) In Section 2, the definition of "Label" needs to be reworked.  I believe you simply mean "The name given to a particular data element, which may vary between registries."
> 
> a) "Specification 4 of the New gTLD Applicant Guidebook" should get a proper reference if at all possible.  I would expect it to be an ICANN URL or some such.
> 
> b) The four documents referenced are EPP definition documents, so we should be saying so before referring to them and probably explaining why there's a reference to them.  At a minimum, why are we talking about the New gTLD Applicant Guidebook but actually referring to EPP RFCs?
> 
> c) "above two documents" doesn't make sense when there are four RFC references and a reference to an external document in the paragraph.
> 
> 9) In Section 4.1, the wrapping of names makes this hard to read.  In some cases, there are words broken across multiple lines, even without hyphens.  The rows also run together as a result of this.  This needs to be fixed.
> 
> 10) In Section 4.2, change "5" to "five", and then the wrapping problem appears again.
> 
> 12) Also in Section 4.3, I don't understand the title "WHOIS Data of IP".  Does this mean a lookup of an IP address in a WHOIS server?  If so, then perhaps "Replies to WHOIS Queries about IP Addresses"?
> 
> - s/support contact query/support queries for specific contact persons or roles/
> - s/registries support XXX data element/registries support a XXX data element/
> 
> 19) Also in Section 5.2.1, the "Analyzing ..." paragraph might better be expressed as a bullet list.
> 
> 20) The title of Section 5.2.2 should be more like "WHOIS Data for Contacts".
> 
> 21) In each of Sections 5.2.2.1 through 5.2.2.4, the following editorial changes:
> 
> 22) The title of Section 5.2.3 should be more like "WHOIS Data for Nameservers".
> 
> 24) Also in Section 5.2.3, in the paragraph at the top, the labels should be quoted as you have done in previous sections.
> 
> 25) The title of Section 5.2.4 should be more like "WHOIS Data for Registrars".
> 
> 26) Also in 5.2.4, s/sponsoring registrar/"Sponsoring Registrar"/ for consistency.
> 
> 28) Also in Section 5.3, I think the prose after the table is a bit confusing.  I think what you mean to say is:
> 
> Some registries returned things that looked like labels, but were not.  For example, in this reply:
> 
> Registrant:
>   Name:
>   Email:
> 
> "Name" and "Email" appeared to be data elements, but "Registrant" was not.  The inventory work proceeded on that assumption, i.e., there were two data elements to be recorded in this example.
> 
> - s/We did a cumulative distribution analysis .../A cumulative distribution analysis ... was done./
> - s/So label numbers of name server are much more/Thus, the count of labels for name servers is much higher/
> - s/Other elements .../Data elements representing dates and street addresses were also common./
> - s/2 Labels/two labels/
> 33) Section 5.5's title needs to be more clear about what it's presenting.  I see it as enumerating assumptions or possible flaws in the survey work.  Maybe call it "Limitations", and then start with a sentence or two about what you're listing, such as:
> 
> This section enumerates limitations of the survey and some assumptions that were made in the execution of this work.
> 
> 34) Also in Section 5.5: Does "local script" refer to the written form in the region where the registry is based?  Since we're talking about web-based replies, "script" might be interpreted differently by some people.
> 
> 35) Also in Section 5.5:
> 
> OLD:
> 
> We only use "Whois contactID/nameserver/registrar" as the query commands to check."
> 
> NEW:
> 
> _______________________________________________
> weirds mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/weirds